Subject: [PWE3] Response to Liaison on MS-PW over T-MPLS

From: Stewart Bryant <[email-masked]>
Date: Fri, 11 Jan 2008 14:31:33 +0000

To
[email-masked]
[email-masked]
[email-masked]

CC
[email-masked] <[email-masked]>
[email-masked] <[email-masked]>
[email-masked] <[email-masked]>
[email-masked] <[email-masked]>
[email-masked] <[email-masked]>
[email-masked]
[email-masked] <[email-masked]>
[email-masked] <[email-masked]>
[email-masked] <[email-masked]>
[email-masked]
[email-masked]
[email-masked]

For Action

Deadline 9 March 2008

Thank you for your liaison of 14 September 2007
entitled "Liaison Statement to IETF PWE3 WG on
MS-PW over T-MPLS"
<https://datatracker.ietf.org/documents/LIAISON/file486.doc>

We apologizes for the late response, but as you are
aware members of PWE3 have had a considerable number
of other TMPLS related tasks to work on.

The review of this document was particularly difficult
because it was not expressed in terms of the language
that we use to define pseudowires, and we request
that the proposed design be restated in the same language
and notation that is used in RFC3985 and
<draft-ietf-pwe3-ms-pw-arch>
<http://tools.ietf.org/html/draft-ietf-pwe3-ms-pw-arch-03.txt>
so that members of the IETF PWE3 WG can fully understand
the proposal.

The T-MPLS segment that you propose in Figure 1 MUST
be indistinguishable from an IETF MS-PW segment, and we
would appreciate it if you could confirm that this is the case.

We would draw your attention to ongoing work on
multisegment pseudowire signaling draft-ietf-pwe3-dynamic-ms-pw
<http://tools.ietf.org/wg/pwe3/draft-ietf-pwe3-dynamic-ms-pw/>,
and draft-ietf-pwe3-segmented-pw
<http://tools.ietf.org/wg/pwe3/draft-ietf-pwe3-segmented-pw/>.

We are concerned that peering arrangement that you propose will
require interworking of the PWE3 and T-MPLS signaling with
associated complexities.

We do not understand why in Figure 2 you use a TMC/PW rather
than an MPLS/PW.

Members of the IETF PWE3 have expressed difficulty in
understanding the paragraph:

"Inside the T-MPLS network there is a 1:1
relationship between the MPLS MS-PW and the
T-MPLS Channel trail; therefore the TMC/PW_A
function is not required to insert a PW label.
The reason is that the functionality of multiplexing
(for vertical scalability reasons) multiple pseudo-wires
over a single trunk is performed at the TMP level
(by multiplexing multiple TMCs over a TMP)."

and the continuing text to the end of the section.

Please could you clarify this and indicate the
label stack at each stage of the packet transit
and indicate the purpose of each label,
and how it is allocated.

Given that the OAM in the PWE3 segments will need to
be based on RFC5085 (VCCV) it is important to
understand the implications of two OAMs in this
environment. We are concerned that the use
of two OAMs will lead to significant interworking
complexity.

May we draw you also attention to
draft-ietf-pwe3-ms-pw-requirements-06.txt which can
be found at
http://tools.ietf.org/html/draft-ietf-pwe3-ms-pw-requirements-06
and request that you identify any additional requirements
needed to cover this application.

This problem is clearly within the remit of the
proposed joint working team, and should be
referred to them.

Any modifications to MPLS technology needed are of course
the subject of RFC4929.

Regards

Stewart Bryant
Danny McPherson
IETF PWE3 WG Co-chairs

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3